# Created by pyp2rpm-3.3.2
%global pypi_name importlib-metadata
%global srcname   importlib_metadata

%bcond_with docs
%bcond_with tests

Name:           python-%{pypi_name}
Version:        7.0.1
Release:        %mkrel 1
Summary:        Read metadata from Python packages
Group:          Development/Python
License:        ASL 2.0
URL:            https://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(contextlib2)
BuildRequires:  python3dist(pathlib2)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3-setuptools-scm+toml
BuildRequires:  python3dist(zipp)
BuildRequires:  python3dist(toml)
BuildRequires:  python3-packaging
%if %{with docs}
BuildRequires:  python3dist(importlib-resources)
BuildRequires:  python3dist(rst.linker)
BuildRequires:  python3dist(sphinx)
%endif
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
importlib_metadata is a library to access the metadata for a Python package.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 4.6.4

%description -n python3-%{pypi_name}
importlib_metadata is a library to access the metadata for a Python package.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build importlib_metadata/docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
# Ignored file uses pytest_perf not available in Fedora / Mageia
# test_find_local tries to install setuptools from PyPI
%pytest --ignore exercises.py -k "not test_find_local"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%if %{with docs}
%doc html
%endif



%changelog
* Sat Mar 02 2024 papoteur <papoteur> 7.0.1-1.mga10
+ Revision: 2047119
- new version 7.0.1

* Mon Dec 11 2023 daviddavid <daviddavid> 6.8.0-2.mga10
+ Revision: 2017101
- rebuild for py3.12

* Mon Sep 04 2023 papoteur <papoteur> 6.8.0-1.mga10
+ Revision: 1984125
- new 6.8.0

* Fri Jan 06 2023 wally <wally> 6.0.0-1.mga9
+ Revision: 1930727
- new version 6.0.0

* Sun Dec 04 2022 wally <wally> 5.1.0-1.mga9
+ Revision: 1917694
- new version 5.1.0

* Fri Nov 04 2022 wally <wally> 4.12.0-2.mga9
+ Revision: 1902764
- update setuptools-scm BRs

* Fri Aug 05 2022 wally <wally> 4.12.0-1.mga9
+ Revision: 1875502
- new version 4.12.0
- switch to pyproject build

* Tue Mar 29 2022 umeabot <umeabot> 4.10.1-4.mga9
+ Revision: 1833218
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 4.10.1-3.mga9
+ Revision: 1774452
- update to python 3.10
+ tmb <tmb>
- rebuild for python 3.10

* Mon Jan 24 2022 wally <wally> 4.10.1-1.mga9
+ Revision: 1769628
- new version 4.10.1

* Sun Aug 22 2021 wally <wally> 4.6.4-1.mga9
+ Revision: 1742198
- rename src as python-importlib-metadata
- new version 4.6.4

* Sun Mar 21 2021 joequant <joequant> 3.7.3-1.mga9
+ Revision: 1707126
- add build requires
- update to 3.7.3 / python 3.9

* Mon Mar 15 2021 neoclust <neoclust> 0.23-1.3.mga9
+ Revision: 1703243
- Rebuild against python 3.9
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sun Feb 16 2020 umeabot <umeabot> 0.23-1.2.mga8
+ Revision: 1534944
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.23-1.1.mga8
+ Revision: 1450269
- new release

* Thu Sep 05 2019 wally <wally> 0.20-1.mga8
+ Revision: 1437606
- new version 0.20
- update descriptions
- rebuild for python3.8
- disable tests for rebuild
- move docs to main pkg
- keep doc build disabled

* Sat Aug 03 2019 kekepower <kekepower> 0.19-1.mga8
+ Revision: 1427216
- imported package python-importlib_metadata

